For the complete documentation index, see llms.txt. This page is also available as Markdown.

/auction_bids

post

Get auction bids for a specific block number

Compression

Optional HTTP compression is supported.

Request: Clients may compress the JSON request body and specify the encoding via the Content-Encoding header.

Response: Clients may request responses to be compressed by specifying encodings via the Accept-Encoding header.

Supported encodings:

  • zstd

  • gzip

  • br (Brotli)

Authorizations
Path parameters
chainstring · enumRequired

Chain to query for

Example: ethPossible values:
Query parameters
api_keystringRequiredExample: docs-demo
Body
block_numberinteger · int64Required
Responses
200Success
application/json
post/v1/{chain}/auction_bids
POST /v1/{chain}/auction_bids?api_key=text HTTP/1.1
Host: api.novarpc.xyz
Content-Type: application/json
Accept: */*
Content-Length: 25

{
  "block_number": 24120019
}
200Success
{
  "bid": {
    "block_number": 24120019,
    "sim_success": true,
    "builder_payment": "1500000000000000",
    "sim_error": null,
    "received_at": "2025-11-25T14:30:00Z",
    "simulated_at": "2025-11-25T14:30:01Z"
  }
}

Last updated